﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class excel_excelreport : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void AceoffixCtrl1_Load(object sender, EventArgs e)
    {
        Aceoffix.Excel.ExcelResponse eres = new Aceoffix.Excel.ExcelResponse();
        Aceoffix.Excel.ExcelResSheet sheet1 = eres.OpenSheet("Sheet1");
        Aceoffix.Excel.ExcelResTableRange tableRange1 = sheet1.OpenTableRange("C5:E16");

        //Output data into the table.
        System.Random rd = new Random(System.DateTime.Now.Millisecond);
        for (int j = 0; j < 12; j++)
        {
            for (int i = 0; i < tableRange1.DataFields.Count; i++)
            {
                int iValue = (rd.Next(25) + 10) * 1000;
                tableRange1.DataFields[i].Value = iValue.ToString(); // You can set the data from the database.
                if (iValue > 30 * 1000) // If the value is greater than 30*1000, then the cell will display alert style to warn the user.
                {
                    tableRange1.DataFields[i].BackColor = System.Drawing.Color.Red;
                    tableRange1.DataFields[i].ForeColor = System.Drawing.Color.Yellow;
                }
            }
            tableRange1.NextRow();
        }
        tableRange1.Close();

        AceoffixCtrl1.ServerPage = "../aceoffix-runtime/server.aspx";
        AceoffixCtrl1.Caption = "Subject: Usage of Excel Table [Double click the title bar to enter/exit full screen]";
        AceoffixCtrl1.Bind(eres);

        // Create custom toolbar
        AceoffixCtrl1.AddCustomToolButton("Save As", "SaveAsDocument()", 1);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Page Setup", "ShowPageSetupDlg()", 0);
        AceoffixCtrl1.AddCustomToolButton("Print", "ShowPrintDlg()", 6);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Switch Full-screen", "SwitchFullScreen()", 4);

        AceoffixCtrl1.FileTitle = "Report1";
        AceoffixCtrl1.OpenDocument("../doc/xls-report.xls", Aceoffix.OpenModeType.xlsReadOnly, "John Scott");
    }
}
