﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class excel_excelsubmit : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void AceoffixCtrl1_Load(object sender, EventArgs e)
    {
        Aceoffix.Excel.ExcelResponse eres = new Aceoffix.Excel.ExcelResponse();
        Aceoffix.Excel.ExcelResSheet sheet1 = eres.OpenSheet("Purchase Order");

        System.Random rd = new Random(System.DateTime.Now.Millisecond);
        sheet1.OpenCell("D8").Value = "XYZ-11-" + (10001 + rd.Next(10000)).ToString();
        sheet1.OpenCell("D8").SubmitName = "OrderNumber";
        sheet1.OpenCell("D8").ReadOnly = true;

        Aceoffix.Excel.ExcelResCell cellPODate = sheet1.OpenCell("I6");
        cellPODate.Value = DateTime.Now.ToString();
        sheet1.OpenCell("J31").Value = cellPODate.Value;

        sheet1.OpenCell("D15").ReadOnly = false; // Enabled edit

        Aceoffix.Excel.ExcelResTableRange tableRange1 = sheet1.OpenTableRange("B18:J23");
        tableRange1.SubmitName = "ProductItems";

        sheet1.OpenCell("J24").SubmitName = "Subtotal";
        sheet1.OpenCell("J24").ReadOnly = true;

        sheet1.OpenCell("J25").SubmitName = "Shipping";

        sheet1.OpenCell("J26").SubmitName = "Tax";
        sheet1.OpenCell("J26").ReadOnly = true;

        sheet1.OpenCell("J27").SubmitName = "Other";

        sheet1.OpenCell("J28").SubmitName = "Total";
        sheet1.OpenCell("J28").ReadOnly = true;

        sheet1.OpenCell("G31").Value = "John Scott";

        AceoffixCtrl1.Caption = "Excel spreadsheet used as an input form.";
        AceoffixCtrl1.ServerPage = "../aceoffix-runtime/server.aspx";

        // Create custom toolbar
        AceoffixCtrl1.AddCustomToolButton("Save", "SaveDocument()", 1);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Print", "ShowPrintDlg()", 6);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Switch Full-screen", "SwitchFullScreen()", 4);

        AceoffixCtrl1.Bind(eres);
        AceoffixCtrl1.SaveDataPage = "saveexceldata.aspx";
        AceoffixCtrl1.OpenDocument("../doc/xls-submit.xls", Aceoffix.OpenModeType.xlsSubmitForm, "John Scott");
    }
}
